Subject: Re: If resource of a termination is busy on a Non-Megaco call, what should MG do ?

From: "Sarju Garg" <[email-masked]>
Date: Sat, 2 Jun 2001 14:50:53 +0530

Does in MEGACO paradigm, can a single termination in a MG be controlled by
multiple MGC. I think that is not possible and that answers the question.

Sarju

----- Original Message -----
From: YouLing Sha <[email-masked]>
To: <[email-masked]>
Sent: Saturday, May 19, 2001 1:04 AM
Subject: If resource of a termination is busy on a Non-Megaco call, what
should MG do ?

> Hi,
>
> If a residentail gateway has a group of subscribers provisioned on the
access side;
> and on the network side, it has GR-303 to the PSTN and Megaco to IP. The
calls made
> by the subscribers from the access side can be routed to PSTN (using
GR-303 not Megaco)
> or IP (using Megaco) based on some pre-defined routing creteria (say time
based,
> digit based, or resource based).
>
> In MEGACO environment. MGC is the master and MG behaves as a slave.
> Assuming the gateway has a subscriber (say A). Now if "A" is busy with a
GR-303
> call to the PSTN (not going through the Megaco/MG on the gateway),
> and the MGC being unaware of it, sends an incoming call request to the
gateway for "A",
> then the call has to be rejected because A is actually busy.
>
> The questions are:
>
> 1. What could be the error cause so that we could avoid any audit
triggering
> from the MGC. Because the audit correction might be termination out of
> service or hook status change?
> 2. Could we make the Termination Out of service temporarily (during the
> period it's in a call with some other interface)  by sending a Service
> change to the MGC so that no incoming call request will come from MGC?
>
> Your advise is highly appreciated.
>
> Regards,
> YouLing Sha
>